Bug 80276 - new port: audio/ocp (open cubic player)
Summary: new port: audio/ocp (open cubic player)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jean-Yves Lefort
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-04-23 10:50 UTC by Emanuel Haupt
Modified: 2005-04-24 15:13 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emanuel Haupt 2005-04-23 10:50:14 UTC
new port: audio/ocp (open cubic player)

Open Cubic Player original home page is located at
http://cubic.org/player and was written by the Cubic Team.
It first appeared around december 1994 as a binary-only
freeware.

It had support for many soundcards and module-formats. But
as windows grew more and more popular, and users demanding
for GUI software, the popularity started to fall off and the
project became more or less dead. At some point the sourcecode
was opened up for the public under the GNU Public License in
a hope that other users might find the code useful, and
perhaps use it for something.

Around 2003 Stian Skjelstad ported the code to Linux.

---shar start---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ocp
#	ocp/Makefile
#	ocp/pkg-descr
#	ocp/distinfo
#	ocp/files
#	ocp/files/patch-config-h-in
#	ocp/files/patch-lrmi-vbetest.c
#	ocp/files/patch-playsid-Makefile
#	ocp/files/patch-playogg-Makefile
#	ocp/files/patch-playmp2-Makefile
#	ocp/files/patch-cplinux-ini-in
#	ocp/files/patch-Makefile-in
#	ocp/files/patch-Rules-make-in
#	ocp/files/patch-boot-kickload-c
#	ocp/files/patch-boot-psetting-c
#	ocp/files/patch-cpiface-cpiface-c
#	ocp/pkg-plist
#
echo c - ocp
mkdir -p ocp > /dev/null 2>&1
echo x - ocp/Makefile
sed 's/^X//' >ocp/Makefile << 'END-of-ocp/Makefile'
X# New ports collection makefile for:   ocp
X# Date created:		22 August 2005
X# Whom:			Emanuel Haupt <ehaupt@critical.ch>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ocp
XPORTVERSION=	0.1.4
XCATEGORIES=	audio
XMASTER_SITES=	http://labs.nixia.no/
X
XMAINTAINER=	ehaupt@critical.ch
XCOMMENT=	The legendary Open Cubic Player that supports many formats
X
XLIB_DEPENDS=	sidplay.1:${PORTSDIR}/audio/libsidplay \
X		id3tag.2:${PORTSDIR}/audio/libid3tag \
X		mad.2:${PORTSDIR}/audio/libmad \
X		ogg.5:${PORTSDIR}/audio/libogg \
X		vorbis.3:${PORTSDIR}/audio/libvorbis
X
XONLY_FOR_ARCHS=	i386
X
XUSE_XLIB=	yes
XGNU_CONFIGURE=	yes
XUSE_GMAKE=	yes
XINSTALLS_SHLIB=	yes
X
XCONFIGURE_ENV=	LDFLAGS="-L${LOCALBASE}/lib -L${X11BASE}/lib" \
X		CFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include" \
X		CXXFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include"
X
X.include <bsd.port.pre.mk>
X
X.if ${OSVERSION} < 500000
XBROKEN=		"Does not compile on FreeBSD 4.x"
X.endif
X
X.include <bsd.port.post.mk>
END-of-ocp/Makefile
echo x - ocp/pkg-descr
sed 's/^X//' >ocp/pkg-descr << 'END-of-ocp/pkg-descr'
XOpen Cubic Player original home page is located at
Xhttp://cubic.org/player and was written by the Cubic Team.
XIt first appeared around december 1994 as a binary-only
Xfreeware.
X
XIt had support for many soundcards and module-formats. But
Xas windows grew more and more popular, and users demanding
Xfor GUI software, the popularity started to fall off and the
Xproject became more or less dead. At some point the sourcecode
Xwas opened up for the public under the GNU Public License in
Xa hope that other users might find the code useful, and
Xperhaps use it for something.
X
XAround 2003 Stian Skjelstad ported the code to Linux.
X
XWWW: http://labs.nixia.no/ocp.php
X
X- ehaupt
Xehaupt@critical.ch
END-of-ocp/pkg-descr
echo x - ocp/distinfo
sed 's/^X//' >ocp/distinfo << 'END-of-ocp/distinfo'
XMD5 (ocp-0.1.4.tar.gz) = 0378bce031482b0a73faff1817d1642f
XSIZE (ocp-0.1.4.tar.gz) = 623185
END-of-ocp/distinfo
echo c - ocp/files
mkdir -p ocp/files > /dev/null 2>&1
echo x - ocp/files/patch-config-h-in
sed 's/^X//' >ocp/files/patch-config-h-in << 'END-of-ocp/files/patch-config-h-in'
X*** config.h.in.orig	Fri Mar 25 18:12:54 2005
X--- config.h.in	Fri Apr 22 19:19:40 2005
X***************
X*** 1,7 ****
X  #define _GNU_SOURCE 1
X  
X  #define MAXDLLLIST 150
X! #include <linux/limits.h>
X  
X  #define KEY_TAB 9
X  #define KEY_CTRL_H 8
X--- 1,7 ----
X  #define _GNU_SOURCE 1
X  
X  #define MAXDLLLIST 150
X! #include <sys/syslimits.h>
X  
X  #define KEY_TAB 9
X  #define KEY_CTRL_H 8
END-of-ocp/files/patch-config-h-in
echo x - ocp/files/patch-lrmi-vbetest.c
sed 's/^X//' >ocp/files/patch-lrmi-vbetest.c << 'END-of-ocp/files/patch-lrmi-vbetest.c'
X*** lrmi-0.8/vbetest.c.orig	Wed Apr 20 18:18:35 2005
X--- lrmi-0.8/vbetest.c	Wed Apr 20 18:19:27 2005
X***************
X*** 18,24 ****
X  #include <dev/wscons/wsconsio.h>
X  #include <machine/sysarch.h>
X  #elif defined(__FreeBSD__)
X! #include <machine/console.h>
X  #include <machine/sysarch.h>
X  #endif
X  
X--- 18,25 ----
X  #include <dev/wscons/wsconsio.h>
X  #include <machine/sysarch.h>
X  #elif defined(__FreeBSD__)
X! #include <sys/consio.h>
X! #include <sys/kbio.h>
X  #include <machine/sysarch.h>
X  #endif
X  
END-of-ocp/files/patch-lrmi-vbetest.c
echo x - ocp/files/patch-playsid-Makefile
sed 's/^X//' >ocp/files/patch-playsid-Makefile << 'END-of-ocp/files/patch-playsid-Makefile'
X*** playsid/Makefile.orig	Thu Apr 21 11:01:59 2005
X--- playsid/Makefile	Thu Apr 21 11:02:16 2005
X***************
X*** 5,11 ****
X  
X  playsid_so=sidplay.o sidpplay.o
X  playsid.so: $(playsid_so)
X! 	$(CXX) -shared -o $@ $^ -lsidplay
X  
X  clean:
X  	rm -f *.o *.so
X--- 5,11 ----
X  
X  playsid_so=sidplay.o sidpplay.o
X  playsid.so: $(playsid_so)
X! 	$(CXX) -L/usr/local/lib -L/usr/X11R6/lib -shared -o $@ $^ -lsidplay
X  
X  clean:
X  	rm -f *.o *.so
END-of-ocp/files/patch-playsid-Makefile
echo x - ocp/files/patch-playogg-Makefile
sed 's/^X//' >ocp/files/patch-playogg-Makefile << 'END-of-ocp/files/patch-playogg-Makefile'
X*** playogg/Makefile.orig	Thu Apr 21 10:53:51 2005
X--- playogg/Makefile	Thu Apr 21 10:57:37 2005
X***************
X*** 8,14 ****
X  
X  playogg_so=oggplay.o oggpplay.o
X  playogg.so: $(playogg_so)
X! 	$(CC) -shared -o $@ $^ -lvorbis -lvorbisfile
X  
X  oggtype.o: oggtype.c \
X  	../config.h \
X--- 8,14 ----
X  
X  playogg_so=oggplay.o oggpplay.o
X  playogg.so: $(playogg_so)
X! 	$(CC) -L/usr/local/lib -L/usr/X11R6/lib -shared -o $@ $^ -lvorbis -lvorbisfile
X  
X  oggtype.o: oggtype.c \
X  	../config.h \
END-of-ocp/files/patch-playogg-Makefile
echo x - ocp/files/patch-playmp2-Makefile
sed 's/^X//' >ocp/files/patch-playmp2-Makefile << 'END-of-ocp/files/patch-playmp2-Makefile'
X*** playmp2/Makefile.orig	Thu Apr 21 11:00:24 2005
X--- playmp2/Makefile	Thu Apr 21 11:00:34 2005
X***************
X*** 15,21 ****
X  
X  playmp2_so=mppplay.o mpplay.o
X  playmp2.so: $(playmp2_so)
X! 	$(CC) -shared -o $@ $^ -lmad -lid3tag -lz
X  
X  mppplay.o: mppplay.c \
X  	../config.h \
X--- 15,21 ----
X  
X  playmp2_so=mppplay.o mpplay.o
X  playmp2.so: $(playmp2_so)
X! 	$(CC) -L/usr/local/lib -L/usr/X11R6/lib -shared -o $@ $^ -lmad -lid3tag -lz
X  
X  mppplay.o: mppplay.c \
X  	../config.h \
END-of-ocp/files/patch-playmp2-Makefile
echo x - ocp/files/patch-cplinux-ini-in
sed 's/^X//' >ocp/files/patch-cplinux-ini-in << 'END-of-ocp/files/patch-cplinux-ini-in'
X*** cplinux.ini.in.orig	Fri Apr 22 13:33:26 2005
X--- cplinux.ini.in	Fri Apr 22 13:35:13 2005
X***************
X*** 14,20 ****
X  [defaultconfig] ; default configuration
X  ;  link=plrbase mcpbase arcarj arczip arcrar arcumx arcbpa arclha arcace playcda playinp freverb freverb2 devpvxd
X  ;  prelink= ; preloaded dlls
X! link=devi plrbase mcpbase smpbase arctar cdrom
X  prelink=poutput hardware inflate cphelper sets mchasm compat
X  
X  
X--- 14,20 ----
X  [defaultconfig] ; default configuration
X  ;  link=plrbase mcpbase arcarj arczip arcrar arcumx arcbpa arclha arcace playcda playinp freverb freverb2 devpvxd
X  ;  prelink= ; preloaded dlls
X! link=devi plrbase mcpbase smpbase arctar
X  prelink=poutput hardware inflate cphelper sets mchasm compat
X  
X  
END-of-ocp/files/patch-cplinux-ini-in
echo x - ocp/files/patch-Makefile-in
sed 's/^X//' >ocp/files/patch-Makefile-in << 'END-of-ocp/files/patch-Makefile-in'
X*** Makefile.in.orig	Fri Mar 25 18:12:54 2005
X--- Makefile.in	Fri Apr 22 18:28:16 2005
X***************
X*** 6,24 ****
X  all: dirs ocp cp.hlp cp.pak fstypes.so libocp.so
X  
X  install: all
X! 	mkdir -p "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)"
X! 	cp -f AUTHORS BUGS COPYING CREDITS KEYBOARD_REMAPS SUID TODO "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)"
X! 	mkdir -p "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)/data"
X! 	cp -f cp.pak "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)/data"
X! 	mkdir -p "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)/etc"
X! 	cp -f cplinux.ini "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)/etc"
X  	mkdir -p "$(DESTDIR)$(LIBDIR)"
X  	cp -f *.so "$(DESTDIR)$(LIBDIR)"
X  	mkdir -p "$(DESTDIR)$(PREFIX)/bin"
X! 	cp -f ocp "$(DESTDIR)$(PREFIX)/bin/ocp-$(VERSION)"
X! 	ln -sf "$(DESTDIR)$(PREFIX)/bin/ocp-$(VERSION)" "$(DESTDIR)$(PREFIX)/bin/ocp"
X! 	cp -f ultrafix.sh "$(DESTDIR)$(PREFIX)/bin/ultrafix.sh"
X! 	mkdir -p "$(DESTDIR)$(ULTRADIR)"
X  
X  uninstall:
X  	rm -Rf "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)" "$(DESTDIR)$(LIBDIR)" "$(DESTDIR)$(PREFIX)/bin/ocp-$(VERSION)" "$(DESTDIR)$(PREFIX)/bin/ocp" "$(DESTDIR)$(PREFIX)/bin/ultrafix.sh"
X--- 6,23 ----
X  all: dirs ocp cp.hlp cp.pak fstypes.so libocp.so
X  
X  install: all
X! 	mkdir -p "$(DESTDIR)$(PREFIX)/share/ocp"
X! 	cp -f AUTHORS BUGS COPYING CREDITS KEYBOARD_REMAPS SUID TODO "$(DESTDIR)$(PREFIX)/share/ocp"
X! 	mkdir -p "$(DESTDIR)$(PREFIX)/share/ocp/data"
X! 	cp -f cp.pak "$(DESTDIR)$(PREFIX)/share/ocp/data"
X! 	cp -f cplinux.ini "$(DESTDIR)$(PREFIX)/etc/ocp.conf"
X  	mkdir -p "$(DESTDIR)$(LIBDIR)"
X  	cp -f *.so "$(DESTDIR)$(LIBDIR)"
X  	mkdir -p "$(DESTDIR)$(PREFIX)/bin"
X! 	cp -f ocp "$(DESTDIR)$(PREFIX)/bin/ocp"
X! #	ln -sf "$(DESTDIR)$(PREFIX)/bin/ocp-$(VERSION)" "$(DESTDIR)$(PREFIX)/bin/ocp"
X! #	cp -f ultrafix.sh "$(DESTDIR)$(PREFIX)/bin/ultrafix.sh"
X! #	mkdir -p "$(DESTDIR)$(ULTRADIR)"
X  
X  uninstall:
X  	rm -Rf "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)" "$(DESTDIR)$(LIBDIR)" "$(DESTDIR)$(PREFIX)/bin/ocp-$(VERSION)" "$(DESTDIR)$(PREFIX)/bin/ocp" "$(DESTDIR)$(PREFIX)/bin/ultrafix.sh"
X***************
X*** 85,91 ****
X  	rm -f CPARCH.DAT
X  
X  distclean: clean
X! 	rm -Rf config.h autom4te.cache Rules.make config.log config.status Makefile cplinux.ini
X  
X  fstypes_so=playgmd/gmdptype.o playgmi/gmiptype.o playit/itpptype.o playogg/oggtype.o playmp2/mpptype.o playsid/sidptype.o playwav/wavptype.o playxm/xmpptype.o filesel/fstypes.o
X  fstypes.so: dirs $(fstypes_so)
X--- 84,90 ----
X  	rm -f CPARCH.DAT
X  
X  distclean: clean
X! 	rm -Rf config.h autom4te.cache Rules.make config.log config.status Makefile ocp.conf
X  
X  fstypes_so=playgmd/gmdptype.o playgmi/gmiptype.o playit/itpptype.o playogg/oggtype.o playmp2/mpptype.o playsid/sidptype.o playwav/wavptype.o playxm/xmpptype.o filesel/fstypes.o
X  fstypes.so: dirs $(fstypes_so)
END-of-ocp/files/patch-Makefile-in
echo x - ocp/files/patch-Rules-make-in
sed 's/^X//' >ocp/files/patch-Rules-make-in << 'END-of-ocp/files/patch-Rules-make-in'
X*** Rules.make.in.orig	Fri Apr 22 15:41:01 2005
X--- Rules.make.in	Fri Apr 22 15:43:00 2005
X***************
X*** 6,12 ****
X  
X  ULTRADIR=@ULTRADIR@
X  
X! LIBDIR=@LIBDIR@
X  
X  LRMIVERSION=0.8
X  
X--- 6,12 ----
X  
X  ULTRADIR=@ULTRADIR@
X  
X! LIBDIR=${PREFIX}/lib/ocp
X  
X  LRMIVERSION=0.8
X  
END-of-ocp/files/patch-Rules-make-in
echo x - ocp/files/patch-boot-kickload-c
sed 's/^X//' >ocp/files/patch-boot-kickload-c << 'END-of-ocp/files/patch-boot-kickload-c'
X*** boot/kickload.c.orig	Fri Mar 25 18:12:56 2005
X--- boot/kickload.c	Fri Apr 22 18:16:41 2005
X***************
X*** 9,15 ****
X   *    -first release
X   *  -ss042408   Stian Skjelstad <stian@nixia.no>
X   *    -added some setuid limits
X!  *    -create $HOME/.ocp/cplinux.ini
X   *    -setup cfProgramDir and cfConfigDir into libocp.so
X   *  -ss040831   Stian Skjelstad <stian@nixia.no>
X   *    -safety added when ran setuid
X--- 9,15 ----
X   *    -first release
X   *  -ss042408   Stian Skjelstad <stian@nixia.no>
X   *    -added some setuid limits
X!  *    -create $HOME/.ocp/ocp.conf
X   *    -setup cfProgramDir and cfConfigDir into libocp.so
X   *  -ss040831   Stian Skjelstad <stian@nixia.no>
X   *    -safety added when ran setuid
X***************
X*** 82,88 ****
X  	static char buffer[256];
X  	struct stat st;
X  	strcpy(buffer, base);
X! 	strcat(buffer, "/cplinux.ini");
X  	if (!stat(buffer, &st))
X  		return buffer;
X  	strcpy(buffer, base);
X--- 82,88 ----
X  	static char buffer[256];
X  	struct stat st;
X  	strcpy(buffer, base);
X! 	strcat(buffer, "/ocp.conf");
X  	if (!stat(buffer, &st))
X  		return buffer;
X  	strcpy(buffer, base);
X***************
X*** 155,160 ****
X--- 155,162 ----
X  		return retval;
X  	if ((retval=locate_cp_pak_try(PREFIX "/share/ocp-" VERSION "/data")))
X  		return retval;
X+ 	if ((retval=locate_cp_pak_try(PREFIX "/share/ocp/data")))
X+ 		return retval;
X  	if ((retval=locate_cp_pak_try(LIBDIR)))
X  		return retval;
X  	return NULL;
X***************
X*** 356,367 ****
X  	}
X  	temp=malloc(strlen(_cfConfigDir)+12);
X  	strcpy(temp, _cfConfigDir);
X! 	strcat(temp, "cplinux.ini");
X  	if (stat(temp, &st)<0)
X  	{
X  		if (errno!=ENOENT)
X  		{
X! 			perror("stat($HOME/.ocp-" VERSION "/cplinux.ini)");
X  			free(temp);
X  			return -1;
X  		}
X--- 358,369 ----
X  	}
X  	temp=malloc(strlen(_cfConfigDir)+12);
X  	strcpy(temp, _cfConfigDir);
X! 	strcat(temp, "ocp.conf");
X  	if (stat(temp, &st)<0)
X  	{
X  		if (errno!=ENOENT)
X  		{
X! 			perror("stat($HOME/.ocp-" VERSION "/ocp.conf)");
X  			free(temp);
X  			return -1;
X  		}
X***************
X*** 371,400 ****
X  		{
X  			if (errno!=ENOENT)
X  			{
X! 				perror("stat($HOME/.ocp-" VERSION "/cplinux.ini)");
X  				free(temp);
X  				return -1;
X  			}
X  			if (!(temp2=locate_cplinux_ini()))
X  			{
X! 				fprintf(stderr, "Global cplinux.ini not found\n");
X  				free(temp);
X  				return -1;
X  			}
X  			strcpy(temp, _cfConfigDir);
X! 			strcat(temp, "cplinux.ini");
X  			if (cp(temp2, temp))
X  			{
X! 				perror("cp(global cplinux.ini, $HOME/.ocp-" VERSION "/cplinux.ini)");
X  				free(temp);
X  				return -1;
X  			}
X! 			fprintf(stderr, "$HOME/.ocp-" VERSION "/cplinux.ini created\n");
X  /*		} else {
X  			fprintf(stderr, "$HOME/.ocp-" VERSION "/cp.ini found\n");*/
X  		}
X  /*	} else {
X! 		fprintf(stderr, "$HOME/.ocp-" VERSION "/cplinux.ini found\n");*/
X  	}
X  	free(temp);
X  	return 0;
X--- 373,402 ----
X  		{
X  			if (errno!=ENOENT)
X  			{
X! 				perror("stat($HOME/.ocp-" VERSION "/ocp.conf)");
X  				free(temp);
X  				return -1;
X  			}
X  			if (!(temp2=locate_cplinux_ini()))
X  			{
X! 				fprintf(stderr, "Global ocp.conf not found\n");
X  				free(temp);
X  				return -1;
X  			}
X  			strcpy(temp, _cfConfigDir);
X! 			strcat(temp, "ocp.conf");
X  			if (cp(temp2, temp))
X  			{
X! 				perror("cp(global ocp.conf, $HOME/.ocp-" VERSION "/ocp.conf)");
X  				free(temp);
X  				return -1;
X  			}
X! 			fprintf(stderr, "$HOME/.ocp-" VERSION "/ocp.conf created\n");
X  /*		} else {
X  			fprintf(stderr, "$HOME/.ocp-" VERSION "/cp.ini found\n");*/
X  		}
X  /*	} else {
X! 		fprintf(stderr, "$HOME/.ocp-" VERSION "/ocp.conf found\n");*/
X  	}
X  	free(temp);
X  	return 0;
END-of-ocp/files/patch-boot-kickload-c
echo x - ocp/files/patch-boot-psetting-c
sed 's/^X//' >ocp/files/patch-boot-psetting-c << 'END-of-ocp/files/patch-boot-psetting-c'
X*** boot/psetting.c.orig	Fri Apr 22 18:20:04 2005
X--- boot/psetting.c	Fri Apr 22 18:17:59 2005
X***************
X*** 151,157 ****
X  	/*  int curapp=-1;*/
X  
X  	strcpy(path, cfConfigDir);
X! 	strcat(path, "cplinux.ini");
X  
X  	strcpy(keybuf, "");
X  
X--- 151,157 ----
X  	/*  int curapp=-1;*/
X  
X  	strcpy(path, cfConfigDir);
X! 	strcat(path, "ocp.conf");
X  
X  	strcpy(keybuf, "");
X  
X***************
X*** 421,427 ****
X        strcat(cfConfigDir, "/");
X  
X      if (!cfReadINIFile(argc, argv))
X! /*      fprintf(stderr, "Failed to read cplinux.ini... ($CPDIR/cplinux)\n");
X       else*/
X        goto gotconfig;
X    }
X--- 421,427 ----
X        strcat(cfConfigDir, "/");
X  
X      if (!cfReadINIFile(argc, argv))
X! /*      fprintf(stderr, "Failed to read ocp.conf... ($CPDIR/cplinux)\n");
X       else*/
X        goto gotconfig;
X    }
X***************
X*** 435,459 ****
X       
X     }
X     if (!cfReadINIFile(argc, argv))
X! /*     fprintf(stderr, "Failed to read cplinux.ini... ($HOME/.cp/cplinux)\n");
X      else*/
X       goto gotconfig;
X  
X    strcpy(cfConfigDir, "/etc/");
X    if (!cfReadINIFile(argc, argv))
X! /*    fprintf(stderr, "Failed to read cplinux.ini... (/etc/cplinux)\n");
X     else*/
X      goto gotconfig;
X  
X    strcpy(cfConfigDir, cfProgramDir);
X    if (!cfReadINIFile(argc, argv))
X! /*    fprintf(stderr, "Failed to read cplinux.ini... (argv[0])\n");
X     else*/
X      goto gotconfig;
X  
X  #else
X  	if (cfReadINIFile(argc, argv))
X! 		fprintf(stderr, "Failed to read cplinux.ini\nPlease put it in ~/.ocp/\n");
X  	else
X  		goto gotconfig;
X  #endif
X--- 435,459 ----
X       
X     }
X     if (!cfReadINIFile(argc, argv))
X! /*     fprintf(stderr, "Failed to read ocp.conf... ($HOME/.cp/cplinux)\n");
X      else*/
X       goto gotconfig;
X  
X    strcpy(cfConfigDir, "/etc/");
X    if (!cfReadINIFile(argc, argv))
X! /*    fprintf(stderr, "Failed to read ocp.conf... (/etc/cplinux)\n");
X     else*/
X      goto gotconfig;
X  
X    strcpy(cfConfigDir, cfProgramDir);
X    if (!cfReadINIFile(argc, argv))
X! /*    fprintf(stderr, "Failed to read ocp.conf... (argv[0])\n");
X     else*/
X      goto gotconfig;
X  
X  #else
X  	if (cfReadINIFile(argc, argv))
X! 		fprintf(stderr, "Failed to read ocp.conf\nPlease put it in ~/.ocp/\n");
X  	else
X  		goto gotconfig;
X  #endif
END-of-ocp/files/patch-boot-psetting-c
echo x - ocp/files/patch-cpiface-cpiface-c
sed 's/^X//' >ocp/files/patch-cpiface-cpiface-c << 'END-of-ocp/files/patch-cpiface-cpiface-c'
X*** cpiface/cpiface.c.orig	Fri Apr 22 18:21:38 2005
X--- cpiface/cpiface.c	Fri Apr 22 18:22:22 2005
X***************
X*** 393,399 ****
X  	if (linkhandle<0)
X  	{
X  #ifdef LD_DEBUG
X! 		fprintf(stderr, "Error finding symbol (pllink in cplinux.ini) %s\n", link);
X  #endif
X  		return 0;
X  	}
X--- 393,399 ----
X  	if (linkhandle<0)
X  	{
X  #ifdef LD_DEBUG
X! 		fprintf(stderr, "Error finding symbol (pllink in ocp.conf) %s\n", link);
X  #endif
X  		return 0;
X  	}
X***************
X*** 403,409 ****
X  	{
X  		lnkFree(linkhandle);
X  #ifdef LD_DEBUG
X! 		fprintf(stderr, "Error finding symbol (player in cplinux.ini) %s\n", name);
X  #else
X  		fprintf(stderr, "link error\r\n");
X  #endif
X--- 403,409 ----
X  	{
X  		lnkFree(linkhandle);
X  #ifdef LD_DEBUG
X! 		fprintf(stderr, "Error finding symbol (player in ocp.conf) %s\n", name);
X  #else
X  		fprintf(stderr, "link error\r\n");
X  #endif
END-of-ocp/files/patch-cpiface-cpiface-c
echo x - ocp/pkg-plist
sed 's/^X//' >ocp/pkg-plist << 'END-of-ocp/pkg-plist'
X%%DATADIR%%/AUTHORS
X%%DATADIR%%/BUGS
X%%DATADIR%%/COPYING
X%%DATADIR%%/CREDITS
X%%DATADIR%%/KEYBOARD_REMAPS
X%%DATADIR%%/SUID
X%%DATADIR%%/TODO
X%%DATADIR%%/data/cp.pak
Xetc/ocp.conf
Xlib/ocp/arctar.so
Xlib/ocp/compat.so
Xlib/ocp/cphelper.so
Xlib/ocp/cphlpif.so
Xlib/ocp/cpiface.so
Xlib/ocp/devi.so
Xlib/ocp/devpdisk.so
Xlib/ocp/devpnone.so
Xlib/ocp/devposs.so
Xlib/ocp/devsnone.so
Xlib/ocp/devsoss.so
Xlib/ocp/devwmix.so
Xlib/ocp/devwmixf.so
Xlib/ocp/devwnone.so
Xlib/ocp/framelock.so
Xlib/ocp/fstypes.so
Xlib/ocp/hardware.so
Xlib/ocp/inflate.so
Xlib/ocp/libocp.so
Xlib/ocp/load669.so
Xlib/ocp/loadams.so
Xlib/ocp/loaddmf.so
Xlib/ocp/loadmdl.so
Xlib/ocp/loadmtm.so
Xlib/ocp/loadokt.so
Xlib/ocp/loadptm.so
Xlib/ocp/loads3m.so
Xlib/ocp/loadult.so
Xlib/ocp/mchasm.so
Xlib/ocp/mcpbase.so
Xlib/ocp/pfilesel.so
Xlib/ocp/playgmd.so
Xlib/ocp/playgmi.so
Xlib/ocp/playit.so
Xlib/ocp/playmp2.so
Xlib/ocp/playogg.so
Xlib/ocp/playsid.so
Xlib/ocp/playwav.so
Xlib/ocp/playxm.so
Xlib/ocp/plrbase.so
Xlib/ocp/poutput.so
Xlib/ocp/sets.so
Xlib/ocp/smpbase.so
Xbin/ocp
X@dirrm share/ocp/data
X@dirrm %%DATADIR%%
X@dirrm lib/ocp
END-of-ocp/pkg-plist
exit
---shar end---
Comment 1 Jean-Yves Lefort freebsd_committer 2005-04-23 17:19:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jylefort

Take.
Comment 2 Roman Bogorodskiy freebsd_committer 2005-04-23 17:22:47 UTC
Responsible Changed
From-To: jylefort->novel

I'll take it.
Comment 3 Roman Bogorodskiy freebsd_committer 2005-04-23 17:39:55 UTC
Responsible Changed
From-To: novel->jylefort

Back to jylefort.
Comment 4 haupt 2005-04-24 00:15:14 UTC
UPDATE: new version: 0.1.4 -> 0.1.5

FreeBSD patches submitted back to the developer. patches were merged 
into new release.


new shar for 0.1.5:

---shar start---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ocp
#	ocp/Makefile
#	ocp/pkg-descr
#	ocp/distinfo
#	ocp/files
#	ocp/files/patch-Rules-make-in
#	ocp/files/patch-Makefile-in
#	ocp/files/patch-boot-kickload-c
#	ocp/pkg-plist
#
echo c - ocp
mkdir -p ocp > /dev/null 2>&1
echo x - ocp/Makefile
sed 's/^X//' >ocp/Makefile << 'END-of-ocp/Makefile'
X# New ports collection makefile for:   ocp
X# Date created:		22 August 2005
X# Whom:			Emanuel Haupt <ehaupt@critical.ch>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ocp
XPORTVERSION=	0.1.5
XCATEGORIES=	audio
XMASTER_SITES=	http://labs.nixia.no/
X
XMAINTAINER=	ehaupt@critical.ch
XCOMMENT=	The legendary Open Cubic Player that supports many formats
X
XLIB_DEPENDS=	sidplay.1:${PORTSDIR}/audio/libsidplay \
X		id3tag.2:${PORTSDIR}/audio/libid3tag \
X		mad.2:${PORTSDIR}/audio/libmad \
X		ogg.5:${PORTSDIR}/audio/libogg \
X		vorbis.3:${PORTSDIR}/audio/libvorbis
X
XONLY_FOR_ARCHS=	i386
X
XUSE_XLIB=	yes
XGNU_CONFIGURE=	yes
XUSE_GMAKE=	yes
XINSTALLS_SHLIB=	yes
X
XCONFIGURE_ENV=	LDFLAGS="-L${LOCALBASE}/lib -L${X11BASE}/lib" \
X		CFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include -Wall -L${LOCALBASE}/lib" \
X		CXXFLAGS="-I${LOCALBASE}/include -I${X11BASE}/include -Wall -L${LOCALBASE}/lib"
X
X.include <bsd.port.pre.mk>
X
X.if ${OSVERSION} < 500000
XBROKEN=		"Does not compile on FreeBSD 4.x"
X.endif
X
X.include <bsd.port.post.mk>
END-of-ocp/Makefile
echo x - ocp/pkg-descr
sed 's/^X//' >ocp/pkg-descr << 'END-of-ocp/pkg-descr'
XOpen Cubic Player original home page is located at
Xhttp://cubic.org/player and was written by the Cubic Team.
XIt first appeared around december 1994 as a binary-only
Xfreeware.
X
XIt had support for many soundcards and module-formats. But
Xas windows grew more and more popular, and users demanding
Xfor GUI software, the popularity started to fall off and the
Xproject became more or less dead. At some point the sourcecode
Xwas opened up for the public under the GNU Public License in
Xa hope that other users might find the code useful, and
Xperhaps use it for something.
X
XAround 2003 Stian Skjelstad ported the code to Linux.
X
XWWW: http://labs.nixia.no/ocp.php
X
X- ehaupt
Xehaupt@critical.ch
END-of-ocp/pkg-descr
echo x - ocp/distinfo
sed 's/^X//' >ocp/distinfo << 'END-of-ocp/distinfo'
XMD5 (ocp-0.1.5.tar.gz) = 0afc02b5049e848bace17bb3b5170259
XSIZE (ocp-0.1.5.tar.gz) = 615096
END-of-ocp/distinfo
echo c - ocp/files
mkdir -p ocp/files > /dev/null 2>&1
echo x - ocp/files/patch-Rules-make-in
sed 's/^X//' >ocp/files/patch-Rules-make-in << 'END-of-ocp/files/patch-Rules-make-in'
X*** Rules.make.in.orig	Fri Apr 22 15:41:01 2005
X--- Rules.make.in	Fri Apr 22 15:43:00 2005
X***************
X*** 6,12 ****
X  
X  ULTRADIR=@ULTRADIR@
X  
X! LIBDIR=@LIBDIR@
X  
X  LRMIVERSION=0.8
X  
X--- 6,12 ----
X  
X  ULTRADIR=@ULTRADIR@
X  
X! LIBDIR=${PREFIX}/lib/ocp
X  
X  LRMIVERSION=0.8
X  
END-of-ocp/files/patch-Rules-make-in
echo x - ocp/files/patch-Makefile-in
sed 's/^X//' >ocp/files/patch-Makefile-in << 'END-of-ocp/files/patch-Makefile-in'
X*** Makefile.in.orig	Sun Apr 24 00:06:17 2005
X--- Makefile.in	Sun Apr 24 00:57:25 2005
X***************
X*** 6,24 ****
X  all: dirs ocp cp.hlp cp.pak fstypes.so libocp.so
X  
X  install: all
X! 	mkdir -p "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)"
X! 	cp -f AUTHORS BUGS COPYING CREDITS KEYBOARD_REMAPS SUID TODO "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)"
X! 	mkdir -p "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)/data"
X! 	cp -f cp.pak "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)/data"
X! 	mkdir -p "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)/etc"
X! 	cp -f ocp.ini "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)/etc"
X  	mkdir -p "$(DESTDIR)$(LIBDIR)"
X  	cp -f *.so "$(DESTDIR)$(LIBDIR)"
X  	mkdir -p "$(DESTDIR)$(PREFIX)/bin"
X! 	cp -f ocp "$(DESTDIR)$(PREFIX)/bin/ocp-$(VERSION)"
X! 	ln -sf "$(DESTDIR)$(PREFIX)/bin/ocp-$(VERSION)" "$(DESTDIR)$(PREFIX)/bin/ocp"
X! 	cp -f ultrafix.sh "$(DESTDIR)$(PREFIX)/bin/ultrafix.sh"
X! 	mkdir -p "$(DESTDIR)$(ULTRADIR)"
X  
X  uninstall:
X  	rm -Rf "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)" "$(DESTDIR)$(LIBDIR)" "$(DESTDIR)$(PREFIX)/bin/ocp-$(VERSION)" "$(DESTDIR)$(PREFIX)/bin/ocp" "$(DESTDIR)$(PREFIX)/bin/ultrafix.sh"
X--- 6,22 ----
X  all: dirs ocp cp.hlp cp.pak fstypes.so libocp.so
X  
X  install: all
X! 	mkdir -p "$(DESTDIR)$(PREFIX)/share/ocp"
X! 	cp -f AUTHORS BUGS COPYING CREDITS KEYBOARD_REMAPS SUID TODO "$(DESTDIR)$(PREFIX)/share/ocp"
X! 	mkdir -p "$(DESTDIR)$(PREFIX)/share/ocp/data"
X! 	cp -f cp.pak "$(DESTDIR)$(PREFIX)/share/ocp/data"
X! 	mkdir -p "$(DESTDIR)$(PREFIX)/etc"
X! 	cp -f ocp.ini "$(DESTDIR)$(PREFIX)/etc"
X  	mkdir -p "$(DESTDIR)$(LIBDIR)"
X  	cp -f *.so "$(DESTDIR)$(LIBDIR)"
X  	mkdir -p "$(DESTDIR)$(PREFIX)/bin"
X! 	cp -f ocp "$(DESTDIR)$(PREFIX)/bin/ocp"
X! 	cp -f ultrafix.sh "$(DESTDIR)$(PREFIX)/share/ocp/data/ultrafix.sh"
X  
X  uninstall:
X  	rm -Rf "$(DESTDIR)$(PREFIX)/share/ocp-$(VERSION)" "$(DESTDIR)$(LIBDIR)" "$(DESTDIR)$(PREFIX)/bin/ocp-$(VERSION)" "$(DESTDIR)$(PREFIX)/bin/ocp" "$(DESTDIR)$(PREFIX)/bin/ultrafix.sh"
END-of-ocp/files/patch-Makefile-in
echo x - ocp/files/patch-boot-kickload-c
sed 's/^X//' >ocp/files/patch-boot-kickload-c << 'END-of-ocp/files/patch-boot-kickload-c'
X*** boot/kickload.c.orig	Sun Apr 24 01:01:11 2005
X--- boot/kickload.c		Sun Apr 24 01:02:49 2005
X***************
X*** 147,155 ****
X  			return retval;
X  	if ((retval=locate_cp_pak_try(".")))
X  		return retval;
X! 	if ((retval=locate_cp_pak_try(PREFIX "/share/ocp-" VERSION )))
X! 		return retval;
X! 	if ((retval=locate_cp_pak_try(PREFIX "/share/ocp-" VERSION "/data")))
X  		return retval;
X  	if ((retval=locate_cp_pak_try(LIBDIR)))
X  		return retval;
X--- 147,153 ----
X  			return retval;
X  	if ((retval=locate_cp_pak_try(".")))
X  		return retval;
X! 	if ((retval=locate_cp_pak_try(PREFIX "/share/ocp/data")))
X  		return retval;
X  	if ((retval=locate_cp_pak_try(LIBDIR)))
X  		return retval;
END-of-ocp/files/patch-boot-kickload-c
echo x - ocp/pkg-plist
sed 's/^X//' >ocp/pkg-plist << 'END-of-ocp/pkg-plist'
X%%DATADIR%%/AUTHORS
X%%DATADIR%%/BUGS
X%%DATADIR%%/COPYING
X%%DATADIR%%/CREDITS
X%%DATADIR%%/KEYBOARD_REMAPS
X%%DATADIR%%/SUID
X%%DATADIR%%/TODO
X%%DATADIR%%/data/cp.pak
X%%DATADIR%%/data/ultrafix.sh
Xetc/ocp.ini
Xlib/ocp/arctar.so
Xlib/ocp/compat.so
Xlib/ocp/cphelper.so
Xlib/ocp/cphlpif.so
Xlib/ocp/cpiface.so
Xlib/ocp/devi.so
Xlib/ocp/devpdisk.so
Xlib/ocp/devpnone.so
Xlib/ocp/devposs.so
Xlib/ocp/devsnone.so
Xlib/ocp/devsoss.so
Xlib/ocp/devwmix.so
Xlib/ocp/devwmixf.so
Xlib/ocp/devwnone.so
Xlib/ocp/framelock.so
Xlib/ocp/fstypes.so
Xlib/ocp/hardware.so
Xlib/ocp/inflate.so
Xlib/ocp/libocp.so
Xlib/ocp/load669.so
Xlib/ocp/loadams.so
Xlib/ocp/loaddmf.so
Xlib/ocp/loadmdl.so
Xlib/ocp/loadmtm.so
Xlib/ocp/loadokt.so
Xlib/ocp/loadptm.so
Xlib/ocp/loads3m.so
Xlib/ocp/loadult.so
Xlib/ocp/mchasm.so
Xlib/ocp/mcpbase.so
Xlib/ocp/mixclip.so
Xlib/ocp/pfilesel.so
Xlib/ocp/playgmd.so
Xlib/ocp/playgmi.so
Xlib/ocp/playit.so
Xlib/ocp/playmp2.so
Xlib/ocp/playogg.so
Xlib/ocp/playsid.so
Xlib/ocp/playwav.so
Xlib/ocp/playxm.so
Xlib/ocp/plrbase.so
Xlib/ocp/poutput.so
Xlib/ocp/sets.so
Xlib/ocp/smpbase.so
Xbin/ocp
X@dirrm share/ocp/data
X@dirrm %%DATADIR%%
X@dirrm lib/ocp
END-of-ocp/pkg-plist
exit
---shar end---
Comment 5 haupt 2005-04-24 03:11:09 UTC
please add the following memmem() patch to the files/ directory:

--- patch-playmp2-mppplay-c start ---
*** playmp2/mppplay.c.orig	Sun Apr 24 04:01:24 2005
--- playmp2/mppplay.c	Sun Apr 24 04:03:06 2005
***************
*** 10,15 ****
--- 10,16 ----
   *    -added fade pause
   */
  
+ #include <stddef.h>
  #include "config.h"
  #include <ctype.h>
  #include <stdlib.h>
***************
*** 54,59 ****
--- 55,92 ----
  static uint32_t pausefadestart;
  static uint8_t pausefaderelspeed;
  static int8_t pausefadedirect;
+ 
+ /* Return the first occurrence of NEEDLE in HAYSTACK.  */
+ void *
+ memmem (haystack, haystack_len, needle, needle_len)
+      const void *haystack;
+      size_t haystack_len;
+      const void *needle;
+      size_t needle_len;
+ {
+   const char *begin;
+   const char *const last_possible
+     = (const char *) haystack + haystack_len - needle_len;
+ 
+   if (needle_len == 0)
+     /* The first occurrence of the empty string is deemed to occur at
+        the beginning of the string.  */
+     return (void *) haystack;
+ 
+   /* Sanity check, otherwise the loop might search through the whole
+      memory.  */
+   if (__builtin_expect (haystack_len < needle_len, 0))
+     return NULL;
+ 
+   for (begin = (const char *) haystack; begin <= last_possible; ++begin)
+     if (begin[0] == ((const char *) needle)[0] &&
+         !memcmp ((const void *) &begin[1],
+                  (const void *) ((const char *) needle + 1),
+                  needle_len - 1))
+       return (void *) begin;
+ 
+   return NULL;
+ }
  
  static void startpausefade(void)
  {
--- patch-playmp2-mppplay-c end ---
Comment 6 Jean-Yves Lefort freebsd_committer 2005-04-24 15:13:22 UTC
State Changed
From-To: open->closed

Committed with a few modifications, thanks!